c%Ausgabelistener

%Shaker-Regelung mit Sinus are free software.
%you can redistribute it and/or under terms of the GNU General Public
%License as published by the Free Software Foundation.
%Shaker-Regelung mit Sinus are distributed in the hope that will useful,
%but without any warranty, without even the implied warranty of
%merchantability or fitness for a particular purpose. See the GNU for more
%details:
%Florian Fltzinger
%Hochschule fr angewandte Wissenschaften Mnchen
%University of applied sciences Munich

%Listener zur kontinuierlichen Ausgabe des Sinussignals und bernahme der
%Regelparameter Frequenz f und Amplitude a aus dem Messlistener (global).

function Ausgabelistener(src,event)

global  f  a fs Ausgangssignal ;


Zeit=1;                                 %Siganlzeit 1s
n=Zeit*fs;                              %Anzahl Signalwerte
t=(1:n)/fs;                             %Zeitwerte
Ausgangs=a*sin(2*pi*f*t);               %Ausgangssignal Sinus mit einstellbarer Amplitude und Frequenz
Ausgangssignal=Ausgangs';               %Ausgangssignal transponiert  

src.queueOutputData(Ausgangssignal)     %aneinanderreihen des Ausgnagssignals


figure(5);                              %Plotten des Ausgabesiganls
plot(Ausgangssignal);  
grid on;
grid minor;
xlabel('Sampels');
ylabel('Amplitude in [V]')
title('Ausgabesignal Sinus');

end


       
                                                
                                   
                                
