%Eingabe

%Shaker-Regelung mit Sinus are free software.
%you can redistribute it and/or under terms of the GNU General Public
%License as published by the Free Software Foundation.
%Shaker-Regelung mit Sinus are distributed in the hope that will useful,
%but without any warranty, without even the implied warranty of
%merchantability or fitness for a particular purpose. See the GNU for more
%details:
%Florian Fltzinger
%Hochschule fr angewandte Wissenschaften Mnchen
%University of applied sciences Munich

%Diese Funktion dient zunchst zur Eingabe der vom Benutzer definierten
%Parameter. Sie werden an das Hauptskript "Main" bergeben.


function [f,fmax,df,V,b,tb,w,tw,F,tF,a,da] = Eingabe()

manuell = input('Standardwerte verwenden[1=ja,0=nein]?');   %Benutzer wird gefragt, ob er die Standartwrte verwenden will 
fprintf('\n');                                              %oder lieber eine manuelle Eingabe bevorzugt.
if manuell==1                                               %Standart Eingabewerte
    f=3100;
    fmax=3100;
    df=5;
    V=1;
    b=10;
    tb=0.2;
    w=0.7;       w=w/1000000;       %Eingabe in Mikrometer
    tw=0.02;     tw=tw/1000000;     %Eingabe in Mikrometer
    F=0.3;
    tF=0.02;
    a=2.09;
    da=0.015;
elseif manuell==0                                           %Manuelle Eingabewerte
    f=input('Startfrequenz in Hz eingeben: ');                                                          %Eingabe Startfrequenz
    fmax=input('Stoppfrequenz in Hz eingeben: ');                                                       %Eingabe Stoppfrequenz
    df=input('Frequenzintervall in Hz eingeben: ');                                                     %Eingabe Frequenzintervall
    a=input('Startamplitude eingeben:');                                                                %Eingabe Startamplitude (Durch Skript bertragungsfunktion1 bestimmen)
    da=input('Regelschritt der Amplitude in V eingeben (Empfehlung: < Toleranzfenster/Sollgre):');    %Eingabe Regelschritt der Amplitude
    fprintf('\n');
    V=input('Vorgabe Regelungsparameter (1=Beschleunigung,2=Weg,3=Kraft): ');                           %Vorgabe Regelungsparameter (Beschl od. Weg od. Kraft)
    fprintf('\n');
   
    switch V

        case 1                                                                      %bei Regelung nach Beschleunigung
        b=input('Vorgabewert Beschleunigung in m/s eingeben: ');                   %Sollwert Beschleunigung
        tb=input('Toleranz Vorgabewert Beschleunigung in [m/s] eingeben: ');       %Toleranzfenster Beschleunigung
        w=0;
        tw=0;
        F=0;
        tF=0;
        case 2                                                                      %bei Regelung nach Weg
        w=input('Vorgabewert Weg in Mikrometer eingeben: ');                        %Sollwert Weg
        w=w/1000000;                                                                %Eingabe in Mikrometer
        tw=input('Toleranz Vorgabewert Weg in [Mikrometer] eingeben: ');            %Toleranzfenster Weg
        tw=tw/1000000;                                                              %Eingabe in Mikrometer
        b=0;
        tb=0;
        F=0;
        tF=0;
        case 3                                                                      %bei Regelung nach Kraft
        F=input('Vorgabewert Kraft in N eingeben: ');                               %Sollwert Kraft
        tF=input('Toleranz Vorgabewert Kraft in [N] eingeben: ');                   %Toleranzfenster Kraft
        w=0;
        tw=0;
        b=0;
        tb=0;

     end
end
end

