%Shaker-Regelung mit Sinus

%In dieser Bachelorarbeit soll ein Matlab-Programm erstellt werden, 
%welches eine Schwingungsregelung an einem Shaker mit sinusfrmiger 
%Anregung durchfhrt. Der Benutzer definiert die Anregeparameter 
%Startfrequenz, Stoppfrequenz, Frequenzauflsung, Amplitudenart 
%(Weg, Geschwindigkeit, Beschleunigung) und den Amplitudenwert.
%Das Programm fhrt selbststndig eine Regelung durch und speichert 
%die Messdaten ab.

%Main

%Shaker-Regelung mit Sinus are free software.
%you can redistribute it and/or under terms of the GNU General Public
%License as published by the Free Software Foundation.
%Shaker-Regelung mit Sinus are distributed in the hope that will useful,
%but without any warranty, without even the implied warranty of
%merchantability or fitness for a particular purpose. See the GNU for more
%details:
%Florian Fltzinger
%Hochschule fr angewandte Wissenschaften Mnchen
%University of applied sciences Munich

%Das Skript "Main" ist das Hauptskript der Regelung. Hier wird die Regelung
%gestartet, erste globale Parameter definiert, die spter am Regelungsende
%auch im Workspace sichtbar sind.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear 

global  f a V df fmax b tb F tF w tw da GE Ergebnis fs m Messwerte Beschl Kraft Weg ;


%Laden der Eingabeparameter
[f,fmax,df,V,b,tb,w,tw,F,tF,a,da] = Eingabe();  %Zunchst wird die Funktion Eingabe aufgerufen


%Starten des Setups
[s,lh2,lh1] = setup();                          %Die Funktion setup wird gestartet und die beiden Listener sowie die Session wird hier bergeben

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  